Query Items
curl --request GET \
--url https://api.jtl-cloud.com/erp/items \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/items"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/items",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/items"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.jtl-cloud.com/erp/items")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/items")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"TotalItems": 123,
"PageNumber": 123,
"PageSize": 123,
"Items": [
{
"Id": 123,
"SKU": "ART2394871",
"ManufacturerId": 123,
"ResponsiblePersonId": 123,
"IsActive": true,
"Categories": [
{
"CategoryId": 123,
"Name": "House and Garden"
}
],
"Name": "Interdimensional goggles",
"Description": "These goggles are a must have product. Everyone needs them. Buy them.",
"ShortDescription": "The best goggles anyone can buy",
"Identifiers": {
"Gtin": "8896982295860",
"ManufacturerNumber": "75",
"ISBN": "978-3-86680-192-9",
"UPC": "889698229586",
"AmazonFnsku": "FN813S88A43",
"Asins": "B071GVGFQF",
"OwnIdentifier": "P446853"
},
"Components": [
{
"ItemId": 123,
"Quantity": 2,
"SortNumber": 1
}
],
"ChildItems": "",
"ParentItemId": 123,
"ItemPriceData": {
"SalesPriceNet": 125.21,
"SuggestedRetailPrice": 159.99,
"PurchasePriceNet": 99.73,
"EbayPrice": 149.99,
"AmazonPrice": 149.99
},
"ActiveSalesChannels": "",
"SortNumber": 0,
"Annotation": "Some additional internal info about the item",
"Added": "2023-01-15T13:00:00.0000000+00:00",
"Changed": "2023-01-15T13:00:00.0000000+00:00",
"ReleasedOnDate": "2023-01-15T13:00:00.0000000+00:00",
"StorageOptions": {
"InventoryManagementActive": true,
"SplitQuantity": false,
"GlobalMinimumStockLevel": 15,
"Buffer": 5,
"SerialNumberItem": false,
"SerialNumberTracking": false,
"SubjectToShelfLifeExpirationDate": false,
"SubjectToBatchItem": false,
"ProcurementTime": 3,
"DetermineProcurementTimeAutomatically": false,
"AdditionalHandlingTime": 3
},
"CountryOfOrigin": "DE",
"ConditionId": 123,
"ShippingClassId": 123,
"ProductGroupId": 123,
"TaxClassId": 123,
"Dimensions": {
"Length": 10.5,
"Width": 5.8,
"Height": 3
},
"Weights": {
"ItemWeigth": 5,
"ShippingWeight": 5.5
},
"AllowNegativeStock": false,
"Quantities": {
"MinimumOrderQuantity": 0,
"MinimumPurchaseQuantityForCustomerGroup": [
{
"CustomerGroupId": 123,
"PermissibleOrderQuantity": 149.99,
"MinimumPurchaseQuantity": 1,
"IsActive": true
}
],
"PermissibleOrderQuantity": 0
},
"DangerousGoods": {
"UnNumber": "0070",
"HazardNo": "Class1 explosives"
},
"Taric": "61071100",
"SearchTerms": "goggles, magnification, lenses",
"PriceListActive": false,
"IgnoreDiscounts": false,
"AvailabilityId": 123
}
],
"TotalPages": 123,
"HasPreviousPage": true,
"HasNextPage": true,
"NextPageNumber": 123,
"PreviousPageNumber": 123
}item
Query Items
Query all items
GET
/
items
Query Items
curl --request GET \
--url https://api.jtl-cloud.com/erp/items \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/items"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/items",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/items"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.jtl-cloud.com/erp/items")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/items")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"TotalItems": 123,
"PageNumber": 123,
"PageSize": 123,
"Items": [
{
"Id": 123,
"SKU": "ART2394871",
"ManufacturerId": 123,
"ResponsiblePersonId": 123,
"IsActive": true,
"Categories": [
{
"CategoryId": 123,
"Name": "House and Garden"
}
],
"Name": "Interdimensional goggles",
"Description": "These goggles are a must have product. Everyone needs them. Buy them.",
"ShortDescription": "The best goggles anyone can buy",
"Identifiers": {
"Gtin": "8896982295860",
"ManufacturerNumber": "75",
"ISBN": "978-3-86680-192-9",
"UPC": "889698229586",
"AmazonFnsku": "FN813S88A43",
"Asins": "B071GVGFQF",
"OwnIdentifier": "P446853"
},
"Components": [
{
"ItemId": 123,
"Quantity": 2,
"SortNumber": 1
}
],
"ChildItems": "",
"ParentItemId": 123,
"ItemPriceData": {
"SalesPriceNet": 125.21,
"SuggestedRetailPrice": 159.99,
"PurchasePriceNet": 99.73,
"EbayPrice": 149.99,
"AmazonPrice": 149.99
},
"ActiveSalesChannels": "",
"SortNumber": 0,
"Annotation": "Some additional internal info about the item",
"Added": "2023-01-15T13:00:00.0000000+00:00",
"Changed": "2023-01-15T13:00:00.0000000+00:00",
"ReleasedOnDate": "2023-01-15T13:00:00.0000000+00:00",
"StorageOptions": {
"InventoryManagementActive": true,
"SplitQuantity": false,
"GlobalMinimumStockLevel": 15,
"Buffer": 5,
"SerialNumberItem": false,
"SerialNumberTracking": false,
"SubjectToShelfLifeExpirationDate": false,
"SubjectToBatchItem": false,
"ProcurementTime": 3,
"DetermineProcurementTimeAutomatically": false,
"AdditionalHandlingTime": 3
},
"CountryOfOrigin": "DE",
"ConditionId": 123,
"ShippingClassId": 123,
"ProductGroupId": 123,
"TaxClassId": 123,
"Dimensions": {
"Length": 10.5,
"Width": 5.8,
"Height": 3
},
"Weights": {
"ItemWeigth": 5,
"ShippingWeight": 5.5
},
"AllowNegativeStock": false,
"Quantities": {
"MinimumOrderQuantity": 0,
"MinimumPurchaseQuantityForCustomerGroup": [
{
"CustomerGroupId": 123,
"PermissibleOrderQuantity": 149.99,
"MinimumPurchaseQuantity": 1,
"IsActive": true
}
],
"PermissibleOrderQuantity": 0
},
"DangerousGoods": {
"UnNumber": "0070",
"HazardNo": "Class1 explosives"
},
"Taric": "61071100",
"SearchTerms": "goggles, magnification, lenses",
"PriceListActive": false,
"IgnoreDiscounts": false,
"AvailabilityId": 123
}
],
"TotalPages": 123,
"HasPreviousPage": true,
"HasNextPage": true,
"NextPageNumber": 123,
"PreviousPageNumber": 123
}Authorizations
oauth2-authorization-codeoauth2-client-credentials
Headers
Query Parameters
Response
Returns all items, can be filtered by searchKeyWord and postalCode.
Represents a paginated list of items
Was this page helpful?